
%bcond_with dietlibc
%bcond_with bootstrap

# macros for sysvinit transition - should be equal to
# sysvinit %version-%release-plus-1
%define sysvinit_version 2.87
%define sysvinit_release %mkrel 14

# (eugeni) for backports and old distributions, rely on EVRD as well
%if %mdkversion < 201100
%define EVRD %{?epoch:%{epoch}:}%{?version:%{version}}%{?release:-%{release}}%{?distepoch::%{distepoch}}
%endif

%define libdaemon_major 0
%define liblogin_major 0
%define libjournal_major 0
%define libid128_major 0

%define libdaemon %mklibname systemd-daemon %{libdaemon_major}
%define libdaemon_devel %mklibname -d systemd-daemon %{libdaemon_major}

%define liblogin %mklibname systemd-login %{liblogin_major}
%define liblogin_devel %mklibname -d systemd-login %{liblogin_major}

%define libjournal %mklibname systemd-journal %{libjournal_major}
%define libjournal_devel %mklibname -d systemd-journal %{libjournal_major}

%define libid128 %mklibname systemd-id128 %{libid128_major}
%define libid128_devel %mklibname -d systemd-id128 %{libid128_major}

%define udev_major 1
%define gudev_api 1.0
%define gudev_major 0
%define libudev %mklibname udev %{udev_major}
%define libudev_devel %mklibname udev -d
%define libgudev %mklibname gudev %{gudev_api} %{gudev_major}
%define libgudev_devel %mklibname gudev %{gudev_api} -d
%define girgudev %mklibname gudev-gir %{gudev_api}

%define udev_libdir /lib/udev
%define udev_rules_dir %{udev_libdir}/rules.d
%define udev_user_rules_dir %{_sysconfdir}/udev/rules.d

Summary:	A System and Session Manager
Name:		systemd
Version:	186
Release:	1
License:	GPLv2+
Group:		System/Configuration/Boot and Init
Url:		http://www.freedesktop.org/wiki/Software/systemd
Source0:	http://www.freedesktop.org/software/systemd/%{name}-%{version}.tar.xz
Source1:	%{name}.macros
Source2:	50-udev-mandriva.rules
Source3:	69-printeracl.rules
Source5:	udev.sysconfig
# (blino) net rules and helpers
Source6:	76-net.rules
Source7:	udev_net_create_ifcfg
Source8:	udev_net_action
Source9:	udev_net.sysconfig
# (hk) udev rules for zte 3g modems with drakx-net
Source10:	61-mobile-zte-drakx-net.rules

### SYSTEMD ###

# (bor) clean up directories on boot as done by rc.sysinit
Patch0:		systemd-18-clean-dirs-on-boot.patch
Patch1:		systemd-tmpfilesd-utmp-temp-patch.patch
Patch2:		systemd-33-rc-local.patch

### UDEV ###
# from Mandriva
# disable coldplug for storage and device pci
Patch100:	udev-182-coldplug.patch
Patch101:	0509-udev-Allow-the-udevadm-settle-timeout-to-be-set-via-.patch
Patch102:	0507-Allow-booting-from-live-cd-in-virtualbox.patch
# (cg) timeout handling patch from Arch
# https://bugs.archlinux.org/task/27938
Patch103:	0508-reinstate-TIMEOUT-handling.patch

%if %{with dietlibc}
BuildRequires: dietlibc
%endif

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	m4
BuildRequires:	libtool
BuildRequires:	acl-devel
BuildRequires:	audit-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	gperf
BuildRequires:	intltool
BuildRequires:	libcap-devel
BuildRequires:	pam-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	tcp_wrappers-devel
BuildRequires:	vala >= 0.9
BuildRequires:	pkgconfig(dbus-1) >= 1.4.0
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcryptsetup)
BuildRequires:	pkgconfig(libkmod) >= 5
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(blkid)
BuildRequires:	usbutils >= 005-3
BuildRequires:	pciutils-devel
BuildRequires:	ldetect-lst
%if !%{with bootstrap}
BuildRequires:	pkgconfig(gobject-introspection-1.0)
%endif
Requires(pre,post):	coreutils
Requires(post):	gawk
Requires(post):	grep
Requires(post):	awk
Requires:	dbus >= 1.3.2
Conflicts:	udev < 183
Requires(pre):	initscripts > 9.24
%if %mdkver >= 201200
Requires(pre):	basesystem-minimal >= 2011.0-2
%endif
Requires:	util-linux-ng >= 2.18-2
Requires:	nss-myhostname
Requires:	lockdev
Conflicts:	initscripts < 9.24
%rename		readahead

%description
systemd is a system and session manager for Linux, compatible with
SysV and LSB init scripts. systemd provides aggressive parallelization
capabilities, uses socket and D-Bus activation for starting services,
offers on-demand starting of daemons, keeps track of processes using
Linux cgroups, supports snapshotting and restoring of the system
state, maintains mount and automount points and implements an
elaborate transactional dependency-based service control logic. It can
work as a drop-in replacement for sysvinit.


#################
#	UDEV	#
#	SHIT	#
#################

%package -n udev
Summary:	Device manager for the Linux kernel
Group:		System/Configuration/Hardware
Requires:	%{name} = %{version}-%{release}
Requires:	ldetect-lst
Requires:	coreutils
Requires:	setup >= 2.7.16
Requires:	util-linux-ng >= 2.15
Requires:	acl
# for disk/lp groups
Requires(pre):	setup
Requires(pre):	fileutils
Requires(post,preun):	rpm-helper

%description -n udev
A collection of tools and a daemon to manage events received
from the kernel and deal with them in user-space. Primarily this
involves managing permissions, and creating and removing meaningful
symlinks to device nodes in /dev when hardware is discovered or
removed from the system

%files -n udev
%dir /lib/firmware
%dir /lib/firmware/updates
%dir %{udev_libdir}
%dir %{_sysconfdir}/udev
%dir %{udev_rules_dir}

%dir %attr(0644,root,root) %{udev_libdir}/keymaps
%dir %{_sysconfdir}/udev/agents.d
%dir %{_sysconfdir}/udev/agents.d/usb
%config(noreplace) %{_sysconfdir}/sysconfig/udev
%config(noreplace) %{_sysconfdir}/sysconfig/udev_net
%config(noreplace) %{_sysconfdir}/udev/*.conf
%ghost %config(noreplace,missingok) %attr(0644,root,root) %{_sysconfdir}/scsi_id.config

%{_bindir}/udevadm
%attr(0755,root,root) /sbin/udevadm
%attr(0755,root,root) %{_sbindir}/udevadm
%attr(0755,root,root) /sbin/udevd
%attr(0755,root,root) /sbin/usb_id
#%attr(0755,root,root) %{udev_libdir}/udevd
%{udev_libdir}/keymaps/*
%{udev_rules_dir}/*.rules

%attr(0755,root,root) %{udev_libdir}/keymap
%attr(0755,root,root) %{udev_libdir}/accelerometer
%attr(0755,root,root) %{udev_libdir}/ata_id
%attr(0755,root,root) %{udev_libdir}/cdrom_id
%attr(0755,root,root) %{udev_libdir}/scsi_id
%attr(0755,root,root) %{udev_libdir}/collect
#%attr(0755,root,root) %{udev_libdir}/create_floppy_devices
#%attr(0755,root,root) %{udev_libdir}/rule_generator.functions
#%attr(0755,root,root) %{udev_libdir}/write_cd_rules
#%attr(0755,root,root) %{udev_libdir}/write_net_rules
%attr(0755,root,root) %{udev_libdir}/net_create_ifcfg
%attr(0755,root,root) %{udev_libdir}/net_action
%attr(0755,root,root) %{udev_libdir}/v4l_id
%attr(0755,root,root) %{udev_libdir}/mtd_probe
%attr(0755,root,root) %{udev_libdir}/findkeyboards
%attr(0755,root,root) %{udev_libdir}/keyboard-force-release.sh

# From previous Mandriva /etc/udev/devices.d and patches
%attr(0666,root,root) %dev(c,1,3) %{udev_libdir}/devices/null
%attr(0600,root,root) %dev(b,2,0) %{udev_libdir}/devices/fd0
%attr(0600,root,root) %dev(b,2,1) %{udev_libdir}/devices/fd1
%attr(0600,root,root) %dev(c,21,0) %{udev_libdir}/devices/sg0
%attr(0600,root,root) %dev(c,21,1) %{udev_libdir}/devices/sg1
%attr(0600,root,root) %dev(c,9,0) %{udev_libdir}/devices/st0
%attr(0600,root,root) %dev(c,9,1) %{udev_libdir}/devices/st1
%attr(0600,root,root) %dev(c,99,0) %{udev_libdir}/devices/parport0
%dir %{udev_libdir}/devices/cpu
%dir %{udev_libdir}/devices/cpu/0
%attr(0600,root,root) %dev(c,203,0) %{udev_libdir}/devices/cpu/0/cpuid
%attr(0600,root,root) %dev(c,10,184) %{udev_libdir}/devices/cpu/0/microcode
%attr(0600,root,root) %dev(c,202,0) %{udev_libdir}/devices/cpu/0/msr
%attr(0600,root,root) %dev(c,162,0) %{udev_libdir}/devices/rawctl
%attr(0600,root,root) %dev(c,195,0) %{udev_libdir}/devices/nvidia0
%attr(0600,root,root) %dev(c,195,255) %{udev_libdir}/devices/nvidiactl
# Default static nodes to copy to /dev on udevd start
%dir %{udev_libdir}/devices
# From Fedora RPM
%attr(0755,root,root) %dir %{udev_libdir}/devices/net
%attr(0755,root,root) %dir %{udev_libdir}/devices/hugepages
%attr(0755,root,root) %dir %{udev_libdir}/devices/pts
%attr(0755,root,root) %dir %{udev_libdir}/devices/shm
%attr(666,root,root) %dev(c,10,200) %{udev_libdir}/devices/net/tun
%attr(600,root,root) %dev(c,108,0) %{udev_libdir}/devices/ppp
%attr(666,root,root) %dev(c,10,229) %{udev_libdir}/devices/fuse
%attr(660,root,lp) %dev(c,6,0) %{udev_libdir}/devices/lp0
%attr(660,root,lp) %dev(c,6,1) %{udev_libdir}/devices/lp1
%attr(660,root,lp) %dev(c,6,2) %{udev_libdir}/devices/lp2
%attr(660,root,lp) %dev(c,6,3) %{udev_libdir}/devices/lp3
%attr(640,root,disk) %dev(b,7,0) %{udev_libdir}/devices/loop0
%attr(640,root,disk) %dev(b,7,1) %{udev_libdir}/devices/loop1
%attr(640,root,disk) %dev(b,7,2) %{udev_libdir}/devices/loop2
%attr(640,root,disk) %dev(b,7,3) %{udev_libdir}/devices/loop3
%attr(640,root,disk) %dev(b,7,4) %{udev_libdir}/devices/loop4
%attr(640,root,disk) %dev(b,7,5) %{udev_libdir}/devices/loop5
%attr(640,root,disk) %dev(b,7,6) %{udev_libdir}/devices/loop6
%attr(640,root,disk) %dev(b,7,7) %{udev_libdir}/devices/loop7
#%{_mandir}/man8/systemd-udevd.8.*
%{_mandir}/man8/udevadm.8.*

%package -n %{libudev}
Summary:	Library for udev
Group:		System/Libraries

%description -n %{libudev}
Library for udev.

%files -n %{libudev}
/%{_lib}/libudev.so.%{udev_major}*

%package -n %{libudev_devel}
Summary:	Devel library for udev
Group:		Development/C
License:	LGPLv2+
Provides:	udev-devel = %{EVRD}
Requires:	%{libudev} = %{EVRD}
Obsoletes:	%{_lib}udev0-devel
Obsoletes:	%{name}-doc

%description -n %{libudev_devel}
Devel library for udev.

%files -n %{libudev_devel}
#%doc COPYING README TODO ChangeLog NEWS src/keymap/README.keymap.txt
#%doc %{_datadir}/gtk-doc/html/libudev
%{_libdir}/libudev.*
%if %{with dietlibc}
%{_prefix}/lib/dietlibc/lib-%{_arch}/libudev.a
%endif
%{_libdir}/pkgconfig/libudev.pc
%{_datadir}/pkgconfig/udev.pc
%{_includedir}/libudev.h

%if !%{with bootstrap}
%package -n %{libgudev}
Summary:	Libraries for adding libudev support to applications that use glib
Group:		System/Libraries
#gw please don't remove this again, it is needed by the noarch package
#gudev-sharp
Provides:	libgudev = %{EVRD}

%description -n %{libgudev}
This package contains the libraries that make it easier to use libudev
functionality from applications that use glib.

%files -n %{libgudev}
/%{_lib}/libgudev-%{gudev_api}.so.%{gudev_major}*

%package -n %{girgudev}
Group:		System/Libraries
Summary:	GObject Introspection interface library for gudev
Conflicts:	%{_lib}gudev1.0_0 < 182-5
Obsoletes:	%{_lib}udev-gir1.0

%description -n %{girgudev}
GObject Introspection interface library for gudev.

%files -n %{girgudev}
%{_libdir}/girepository-1.0/GUdev-%{gudev_api}.typelib

%package -n %{libgudev_devel}
Summary:	Header files for adding libudev support to applications that use glib
Group:		Development/C
Requires:	%{libgudev} = %{EVRD}

%description -n %{libgudev_devel}
This package contains the header and pkg-config files for developing
glib-based applications using libudev functionality.

%files -n %{libgudev_devel}
#%doc %{_datadir}/gtk-doc/html/gudev
%{_libdir}/libgudev-%{gudev_api}.so
%{_includedir}/gudev-%{gudev_api}
%{_datadir}/gir-1.0/GUdev-%{gudev_api}.gir
%{_libdir}/pkgconfig/gudev-%{gudev_api}.pc
%endif

%package -n udev-doc
Summary:	Udev documentation
Group:		Books/Computer books

%description -n udev-doc
This package contains documentation of udev.

#################
#	UDEV	#
#	END	#
#################


%package tools
Summary:	Non essential systemd tools
Group:		System/Configuration/Boot and Init
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 35-6
Requires:	python-dbus
Requires:	python-cairo

%description tools
Non essential systemd tools.

%package units
Summary:	Configuration files, directories and installation tool for systemd
Group:		System/Configuration/Boot and Init
Requires(post):	coreutils
Requires(post):	gawk
Requires(post): grep
Requires(post): awk

%description units
Basic configuration files, directories and installation tool for the systemd
system and session manager.

%package sysvinit
Summary:	System V init tools
Group:		System/Configuration/Boot and Init
Requires:	%{name} = %{version}-%{release}
# (eugeni) systemd should work as a drop-in replacement for sysvinit, but not obsolete it
Provides:	sysvinit = %sysvinit_version-%sysvinit_release, SysVinit = %sysvinit_release-%sysvinit_release
Conflicts:	sysvinit < %sysvinit_version-%sysvinit_release, SysVinit < %sysvinit_release-%sysvinit_release

%description sysvinit
Drop-in replacement for the System V init tools of systemd.

%package -n %{libdaemon}
Summary:	Systemd-daemon library package
Group:		System/Libraries
Provides:	libsystemd-daemon = %{version}-%{release}

%description -n	%{libdaemon}
This package provides the systemd-daemon shared library.

%package -n %{libdaemon_devel}
Summary:	Systemd-daemon library development files
Group:		Development/C
Requires:	%{libdaemon} = %{version}-%{release}
Provides:	libsystemd-daemon-devel = %{version}-%{release}

%description -n	%{libdaemon_devel}
Development files for the systemd-daemon shared library.

%package -n %{liblogin}
Summary:	Systemd-login library package
Group:		System/Libraries
Provides:	libsystemd-login = %{version}-%{release}

%description -n	%{liblogin}
This package provides the systemd-login shared library.

%package -n %{liblogin_devel}
Summary:	Systemd-login library development files
Group:		Development/C
Requires:	%{liblogin} = %{version}-%{release}
Provides:	libsystemd-login-devel = %{version}-%{release}

%description -n	%{liblogin_devel}
Development files for the systemd-login shared library.

%package -n %{libjournal}
Summary:	Systemd-journal library package
Group:		System/Libraries
Provides:	libsystemd-journal = %{version}-%{release}

%description -n	%{libjournal}
This package provides the systemd-journal shared library.

%package -n %{libjournal_devel}
Summary:	Systemd-journal library development files
Group:		Development/C
Requires:	%{libjournal} = %{version}-%{release}
Provides:	libsystemd-journal-devel = %{version}-%{release}

%description -n	%{libjournal_devel}
Development files for the systemd-journal shared library.

%package -n %{libid128}
Summary:	Systemd-id128 library package
Group:		System/Libraries
Provides:	libsystemd-id128 = %{version}-%{release}

%description -n	%{libid128}
This package provides the systemd-id128 shared library.

%package -n %{libid128_devel}
Summary:	Systemd-id128 library development files
Group:		Development/C
Requires:	%{libid128} = %{version}-%{release}
Provides:	libsystemd-id128-devel = %{version}-%{release}

%description -n %{libid128_devel}
Development files for the systemd-id128 shared library.


%prep
%setup -q
%apply_patches
find src/ -name "*.vala" -exec touch '{}' \;

%build
%if %mdvver >= 201200
%serverbuild_hardened
%else
%serverbuild
%endif

%configure2_5x \
	--with-rootprefix= \
	--with-rootlibdir=/%{_lib} \
	--libexecdir=%{_prefix}/lib \
	--with-distro=mandriva \
	--with-firmware-path=/lib/firmware/updates:/lib/firmware \
	--disable-static \
	--with-sysvinit-path=%{_initrddir} \
	--with-sysvrcd-path=%{_sysconfdir}/rc.d \
	--disable-selinux \
	--enable-split-usr \
	%if %{with bootstrap}
	--enable-introspection=no \
	%else
	--enable-introspection=yes \
	%endif
	--with-usb-ids-path=/usr/share/usb.ids \
	--with-pci-ids-path=/usr/share/pci.ids

# (tpg) somehow --with-distro option doesn't work
# just be sure we have a nice mandriva release output :)
for i in `grep -r -i -l "/etc/os-release" src`;
    do
    sed -i -e  's#/etc/os-release#/etc/mandriva-release#g' $i;
done


%make

%install
%makeinstall_std

%if %{with dietlibc}
install -d %{buildroot}%{_prefix}/lib/dietlibc/lib-%{_arch}
%endif

find %{buildroot} \( -name '*.a' -o -name '*.la' \) -exec rm {} \;
mkdir -p %{buildroot}/%{_sbindir}

# (bor) create late shutdown directory
mkdir -p %{buildroot}/lib/systemd/system-shutdown

# Create SysV compatibility symlinks. systemctl/systemd are smart
# enough to detect in which way they are called.
mkdir -p %{buildroot}/sbin
ln -s ../lib/systemd/systemd %{buildroot}/sbin/init
ln -s ../lib/systemd/systemd %{buildroot}/bin/systemd
ln -s ../bin/systemctl %{buildroot}/sbin/reboot
ln -s ../bin/systemctl %{buildroot}/sbin/halt
ln -s ../bin/systemctl %{buildroot}/sbin/poweroff
ln -s ../bin/systemctl %{buildroot}/sbin/shutdown
ln -s ../bin/systemctl %{buildroot}/sbin/telinit
ln -s ../bin/systemctl %{buildroot}/sbin/runlevel
ln -s loginctl %{buildroot}%{_bindir}/systemd-loginct

# We create all wants links manually at installation time to make sure
# they are not owned and hence overriden by rpm after the used deleted
# them.
rm -r %{buildroot}%{_sysconfdir}/systemd/system/*.target.wants
rm -f %{buildroot}%{_sysconfdir}/systemd/system/display-manager.service

# Make sure the ghost-ing below works
touch %{buildroot}%{_sysconfdir}/systemd/system/runlevel2.target
touch %{buildroot}%{_sysconfdir}/systemd/system/runlevel3.target
touch %{buildroot}%{_sysconfdir}/systemd/system/runlevel4.target
touch %{buildroot}%{_sysconfdir}/systemd/system/runlevel5.target

# Make sure these directories are properly owned
mkdir -p %{buildroot}/lib/systemd/system/basic.target.wants
mkdir -p %{buildroot}/lib/systemd/system/default.target.wants
mkdir -p %{buildroot}/lib/systemd/system/dbus.target.wants
mkdir -p %{buildroot}/lib/systemd/system/syslog.target.wants

# And the default symlink we generate automatically based on inittab
rm -f %{buildroot}%{_sysconfdir}/systemd/system/default.target

# (tpg) this is needed
mkdir -p %{buildroot}%{_prefix}/lib/systemd/user-generators

# We are not prepared to deal with tmpfs /var/run or /var/lock
pushd %{buildroot}/lib/systemd/system/local-fs.target.wants && {
        rm -f var-lock.mount
        rm -f var-run.mount
popd
}

# (bor) make sure we own directory for bluez to install service
mkdir -p %{buildroot}/lib/systemd/system/bluetooth.target.wants

# use consistent naming and permissions for completion scriplets
mv %{buildroot}%{_sysconfdir}/bash_completion.d/systemd-bash-completion.sh %{buildroot}%{_sysconfdir}/bash_completion.d/systemd
chmod 644 %{buildroot}%{_sysconfdir}/bash_completion.d/systemd

# (tpg) use systemd's own mounting capability
sed -i -e 's/^#MountAuto=yes$/MountAuto=yes/' %{buildroot}/etc/systemd/system.conf
sed -i -e 's/^#SwapAuto=yes$/SwapAuto=yes/' %{buildroot}/etc/systemd/system.conf

# (bor) enable rpcbind.target by default so we have something to plug portmapper service into
ln -s ../rpcbind.target %{buildroot}/lib/systemd/system/multi-user.target.wants

# (bor) machine-id-setup is in /sbin in post-v20
install -d %{buildroot}/sbin && mv %{buildroot}/bin/systemd-machine-id-setup %{buildroot}/sbin

# (eugeni) install /run
mkdir %{buildroot}/run

# (tpg) create missing dir
mkdir -p %{buildroot}%{_libdir}/systemd/user/

# add missing ttys (mdv #63600)
mkdir -p %{buildroot}/etc/systemd/system/getty.target.wants
pushd %{buildroot}/etc/systemd/system/getty.target.wants
	for _term in 1 2 3 4 5 6 ; do
	ln -s /lib/systemd/system/getty@.service getty@tty$_term.service
	done
popd

# Create new-style configuration files so that we can ghost-own them
touch %{buildroot}%{_sysconfdir}/hostname
touch %{buildroot}%{_sysconfdir}/vconsole.conf
touch %{buildroot}%{_sysconfdir}/locale.conf
touch %{buildroot}%{_sysconfdir}/machine-id
touch %{buildroot}%{_sysconfdir}/machine-info
touch %{buildroot}%{_sysconfdir}/timezone
mkdir -p %{buildroot}%{_sysconfdir}/X11/xorg.conf.d
touch %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf

# create modules.conf as a symlink to /etc/
ln -s /etc/modules %{buildroot}%{_sysconfdir}/modules-load.d/modules.conf
# (tpg) symlink also modprobe.preload because a lot of modules are inserted there from drak* stuff
ln -s /etc/modprobe.preload %{buildroot}%{_sysconfdir}/modules-load.d/modprobe-preload.conf

# (cg) Set up the pager to make it generally more useful
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/40systemd.sh << EOF
export SYSTEMD_PAGER="/usr/bin/less -FR"
EOF
chmod 644 %{buildroot}%{_sysconfdir}/profile.d/40systemd.sh

# (tpg) add rpm macros
install -m 0644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.d/%{name}.macros

# (tpg) from mageia
# automatic systemd release on rpm installs/removals
# (see http://wiki.mandriva.com/en/Rpm_filetriggers)
install -d %{buildroot}%{_var}/lib/rpm/filetriggers
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.filter << EOF
^./lib/systemd/system/
^./etc/systemd/system/
EOF
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.script << EOF
#!/bin/sh
if /bin/mountpoint -q /sys/fs/cgroup/systemd; then
    if [ -x /bin/systemctl ]; then
	/bin/systemctl daemon-reload >/dev/null 2>&1 || :
    fi
fi
EOF
chmod 755 %{buildroot}%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.script

#################
#	UDEV	#
#	SHIT	#
#################

install -m 644 %{SOURCE2} %{buildroot}%{udev_rules_dir}/
install -m 644 %{SOURCE3} %{buildroot}%{udev_rules_dir}/
install -m 0644 %{SOURCE5} -D %{buildroot}%{_sysconfdir}/sysconfig/udev
# net rules
install -m 0644 %{SOURCE6} %{buildroot}%{udev_rules_dir}/
install -m 0755 %{SOURCE7} %{buildroot}%{udev_libdir}/net_create_ifcfg
install -m 0755 %{SOURCE8} %{buildroot}%{udev_libdir}/net_action
install -m 0644 %{SOURCE9} %{buildroot}%{_sysconfdir}/sysconfig/udev_net

install -m 0644 %{SOURCE10} %{buildroot}%{udev_rules_dir}/

ln -sf ../bin/udevadm %{buildroot}%{_sbindir}/udevadm
ln -sf ../bin/udevadm %{buildroot}/sbin/udevadm
mkdir -p %{buildroot}%{_prefix}/lib/firmware/updates
mkdir -p %{buildroot}%{_sysconfdir}/udev/agents.d/usb
touch %{buildroot}%{_sysconfdir}/scsi_id.config
# (blino) usb_id are used by drakx
ln -s ..%{udev_libdir}/usb_id %{buildroot}/sbin/
ln -s ..%{udev_libdir}/udevd %{buildroot}/sbin/

# udev rules for zte 3g modems and drakx-net


mkdir -p %{buildroot}/lib/firmware/updates
# default /dev content, from Fedora RPM
mkdir -p %{buildroot}%{udev_libdir}/devices/{net,hugepages,pts,shm}
# From previous Mandriva /etc/udev/devices.d
mkdir -p %{buildroot}%{udev_libdir}/devices/cpu/0

#################
#	UDEV	#
#	END	#
#################

%triggerin -- glibc
# reexec daemon on self or glibc update to avoid busy / on shutdown
# trigger is executed on both self and target install so no need to have
# extra own post
if [ $1 -ge 2 -o $2 -ge 2 ] ; then
	/bin/systemctl daemon-reexec 2>&1 || :
fi

%triggerin -- initscripts
# (tpg) disable speedboot feature on install or on update
# speedboot feature messes things really hard
if [ $1 -ge 1 -o $2 -ge 2 ] ; then
	if [ -e /etc/sysconfig/speedboot ] ; then
	    sed -i -e 's/^SPEEDBOOT=.*$/SPEEDBOOT=no/g' /etc/sysconfig/speedboot
	fi
fi

%pre -n udev
if [ -d /lib/hotplug/firmware ]; then
	echo "Moving /lib/hotplug/firmware to /lib/firmware"
	mkdir -p /lib/firmware
	mv /lib/hotplug/firmware/* /lib/firmware/ 2>/dev/null
	rmdir -p --ignore-fail-on-non-empty /lib/hotplug/firmware
	:
fi



%pre
systemctl stop systemd-udev.service systemd-udev-control.socket systemd-udev-kernel.socket >/dev/null 2>&1 || :

%post
/usr/bin/systemd-machine-id-setup > /dev/null 2>&1 || :
/usr/lib/systemd/systemd-random-seed save > /dev/null 2>&1 || :
/bin/systemctl daemon-reexec > /dev/null 2>&1 || :
/bin/systemctl start systemd-udev.service >/dev/null 2>&1 || :

# (tpg) this is needed for rsyslog
/bin/ln -s /usr/lib/systemd/system/rsyslog.service /etc/systemd/system/syslog.service >/dev/null 2>&1 || :

%triggerin units -- %{name}-units < 19-4
# Enable the services we install by default.
/bin/systemctl --quiet enable \
	quotaon.service \
	quotacheck.service \
	remote-fs.target
	systemd-readahead-replay.service \
	systemd-readahead-collect.service \
	2>&1 || :
# rc-local is now enabled by default in base package
rm -f /etc/systemd/system/multi-user.target.wants/rc-local.service || :

%post units
if [ $1 -eq 1 ] ; then
        # Try to read default runlevel from the old inittab if it exists
        runlevel=$(/bin/awk -F ':' '$3 == "initdefault" && $1 !~ "^#" { print $2 }' /etc/inittab 2> /dev/null)
        if [ -z "$runlevel" ] ; then
                target="/lib/systemd/system/graphical.target"
        else
                target="/lib/systemd/system/runlevel$runlevel.target"
        fi

        # And symlink what we found to the new-style default.target
        /bin/ln -sf "$target" %{_sysconfdir}/systemd/system/default.target 2>&1 || :

	# Enable the services we install by default.
	/bin/systemctl --quiet enable \
		getty@.service \
		quotaon.service \
		quotacheck.service \
		remote-fs.target \
		systemd-readahead-replay.service \
		systemd-readahead-collect.service \
		2>&1 || :
fi

hostname_new=`cat %{_sysconfdir}/hostname 2>/dev/null`
if [ -z $hostname_new ]; then
        hostname_old=`cat /etc/sysconfig/network 2>/dev/null | grep HOSTNAME | cut -d "=" -f2`
	if [ ! -z $hostname_old ]; then
    		echo $hostname_old >> %{_sysconfdir}/hostname
        else
    		echo "localhost" >> %{_sysconfdir}/hostname
        fi
fi

%preun units
if [ $1 -eq 0 ] ; then
        /bin/systemctl --quiet disable \
		getty@.service \
		quotaon.service \
		quotacheck.service \
		remote-fs.target \
		systemd-readahead-replay.service \
		systemd-readahead-collect.service \
		2>&1 || :

        /bin/rm -f /etc/systemd/system/default.target 2>&1 || :
fi

%postun units
if [ $1 -ge 1 ] ; then
        /bin/systemctl daemon-reload 2>&1 || :
fi

%files
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.systemd1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.hostname1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.locale1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.login1.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.timedate1.conf
%config(noreplace) %{_sysconfdir}/systemd/system.conf
%config(noreplace) %{_sysconfdir}/systemd/logind.conf
%config(noreplace) %{_sysconfdir}/systemd/journald.conf
%config(noreplace) %{_sysconfdir}/systemd/user.conf
%config(noreplace) /usr/lib/sysctl.d/coredump.conf
%ghost %config(noreplace) %{_sysconfdir}/hostname
%ghost %config(noreplace) %{_sysconfdir}/vconsole.conf
%ghost %config(noreplace) %{_sysconfdir}/locale.conf
%ghost %config(noreplace) %{_sysconfdir}/machine-id
%ghost %config(noreplace) %{_sysconfdir}/machine-info
%ghost %config(noreplace) %{_sysconfdir}/timezone
%ghost %config(noreplace) %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf

%dir /run
%dir /lib/systemd
%dir /lib/systemd/system-generators
%dir /lib/systemd/system-shutdown
%dir %{_prefix}/lib/tmpfiles.d
%dir %{_prefix}/lib/sysctl.d
%dir %{_prefix}/lib/modules-load.d
%dir %{_prefix}/lib/binfmt.d

%{_sysconfdir}/xdg/systemd
/bin/systemd-ask-password
#/bin/systemd-loginctl
#/bin/systemd-journalctl
/bin/systemd-notify
/bin/systemd-tmpfiles
/bin/systemd-tty-ask-password-agent
/bin/systemd
/bin/journalctl
/bin/loginctl
/bin/systemd-inhibit
/sbin/systemd-machine-id-setup
%{_bindir}/systemd-delta
%{_bindir}/systemd-detect-virt
%{_bindir}/systemd-loginct
/lib/systemd/systemd
/lib/systemd/systemd-*
/lib/systemd/system-generators/*

/usr/lib/tmpfiles.d/legacy.conf
/usr/lib/tmpfiles.d/systemd.conf
/usr/lib/tmpfiles.d/x11.conf
/usr/lib/tmpfiles.d/tmp.conf
/%{_lib}/security/pam_systemd.so
%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.*
%{_bindir}/systemd-cgls
%{_bindir}/systemd-nspawn
%{_bindir}/systemd-stdio-bridge
%{_bindir}/systemd-cat
%{_bindir}/systemd-cgtop
%{_mandir}/man1/systemd.*
%{_mandir}/man1/systemd-ask-password.*
%{_mandir}/man1/systemd-tty-ask-password-agent.*
%{_mandir}/man1/systemd-cat.1*
%{_mandir}/man1/systemd-cgls.*
%{_mandir}/man1/systemd-cgtop.*
%{_mandir}/man1/journalctl.1*
%{_mandir}/man1/loginctl.*
%{_mandir}/man1/systemd-machine-id-setup.1*
%{_mandir}/man1/systemd-notify.*
%{_mandir}/man1/systemd-nspawn.*
%{_mandir}/man1//systemd-delta.1.*
%{_mandir}/man1//systemd-detect-virt.1.*
%{_mandir}/man1//systemd-inhibit.1.*
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/pam_systemd.*
%{_mandir}/man8/systemd-*
%{_datadir}/dbus-1/services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.hostname1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.locale1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.login1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.timedate1.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.hostname1*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.locale1*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.timedate1*.xml
%{_datadir}/polkit-1/actions/org.freedesktop.systemd1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.hostname1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.locale1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.login1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.timedate1.policy
%{_datadir}/systemd/kbd-model-map
%{_docdir}/systemd

%files tools
%{_bindir}/systemd-analyze
%{_mandir}/man1/systemd-analyze.1*

%files units
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/systemd/user
%dir %{_sysconfdir}/systemd/system/getty.target.wants
%dir %{_sysconfdir}/tmpfiles.d
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/modules-load.d
%dir %{_sysconfdir}/binfmt.d
%dir %{_sysconfdir}/bash_completion.d

%{_sysconfdir}/systemd/system/getty.target.wants/getty@*.service
%{_sysconfdir}/bash_completion.d/systemd
%{_sysconfdir}/modules-load.d/*.conf
/bin/systemctl
/lib/systemd/system
/usr/lib/systemd/
%{_sysconfdir}/profile.d/40systemd.sh
%{_sysconfdir}/rpm/macros.d/%{name}.macros
%{_sysconfdir}/rpm/macros.systemd
%{_mandir}/man1/systemctl.*

%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel2.target
%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel3.target
%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel4.target
%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel5.target

%files sysvinit
/sbin/init
/sbin/reboot
/sbin/halt
/sbin/poweroff
/sbin/shutdown
/sbin/telinit
/sbin/runlevel
%{_mandir}/man1/init.*
%{_mandir}/man8/halt.*
%{_mandir}/man8/reboot.*
%{_mandir}/man8/shutdown.*
%{_mandir}/man8/poweroff.*
%{_mandir}/man8/telinit.*
%{_mandir}/man8/runlevel.*
%dir /run

%files -n %{libdaemon}
/%{_lib}/libsystemd-daemon.so.%{libdaemon_major}*

%files -n %{libdaemon_devel}
%dir %{_includedir}/systemd
%{_includedir}/systemd/sd-daemon.h
%{_libdir}/libsystemd-daemon.so
%{_libdir}/pkgconfig/libsystemd-daemon.pc
%{_datadir}/pkgconfig/systemd.pc
%{_includedir}/systemd/sd-messages.h
%{_includedir}/systemd/sd-readahead.h
%{_includedir}/systemd/sd-shutdown.h

%files -n %{liblogin}
/%{_lib}/libsystemd-login.so.%{liblogin_major}*

%files -n %{liblogin_devel}
%dir %{_includedir}/systemd
%{_includedir}/systemd/sd-login.h
%{_libdir}/libsystemd-login.so
%{_libdir}/pkgconfig/libsystemd-login.pc

%files -n %{libjournal}
/%{_lib}/libsystemd-journal.so.%{libjournal_major}*

%files -n %{libjournal_devel}
%dir %{_includedir}/systemd
%{_includedir}/systemd/sd-journal.h
%{_libdir}/libsystemd-journal.so
%{_libdir}/pkgconfig/libsystemd-journal.pc

%files -n %{libid128}
/%{_lib}/libsystemd-id128.so.%{libid128_major}*

%files -n %{libid128_devel}
%dir %{_includedir}/systemd
%{_includedir}/systemd/sd-id128.h
%{_libdir}/libsystemd-id128.so
%{_libdir}/pkgconfig/libsystemd-id128.pc


%changelog
* Fri Jul 06 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 186-1
+ Revision: 808391
- drop sysv subpackage
- fix rules installation
- finish a full merge of udev package
- add patches from Mageia
- spec file clean

* Tue Jun 05 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 185-1
+ Revision: 802743
- package new man files
- update to new version 185

* Mon May 28 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 183-1
+ Revision: 801019
- adjust paths for keymaps and rules
- update buildrequires on libgee
- patch 15 fixed by upstream
- disable patches 19, 29 and 30
- finish a first stage of udev migration
  o use same packaging style as in udev.spec
  o add missing buildrequires (libblkid-devel usbutils-devel pciutils-devel etc.)
  o provide better desctiptions
  o add pre and post scriplets which help to run new udev
- fix file list for systemd and udev packages
- update to new version 183 (a big merge of udev and systemd)

* Sun Apr 08 2012 Bernhard Rosenkraenzer <bero@bero.eu> 44-5
+ Revision: 789886
- Fix shutdown/reboot from KDM (KDE Bug #293978)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - apply some cosmetics

* Tue Mar 27 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 44-4
+ Revision: 787765
- use --enable-split-usr because /bin and /sbin are not symlinkt to /usr

* Sat Mar 24 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 44-3
+ Revision: 786608
- somehow --with-distro doesn't work, hardcode /etc/mandriva-release everywhere
- set up rsyslog to read from /proc/kmsg
- add symlink to systemd in /bin
- own missing %%{_libdir}/systemd/user/ directory
- update systemd filetrigger from mageia

* Sat Mar 24 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 44-2
+ Revision: 786561
- disable journal coredump
- make use of SYSTEMD_PAGER (from Mageia)

* Fri Mar 16 2012 Oden Eriksson <oeriksson@mandriva.com> 44-1
+ Revision: 785356
- 44
- fix deps

  + Bernhard Rosenkraenzer <bero@bero.eu>
    - Update to 43

* Sun Feb 05 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 39-2
+ Revision: 771220
- add listen.conf to rsyslog
- Patch30: from mageia, add a work around for a syslog.socket deadlock on boot+shutdown
- add requires on grep and awk
- remove display-manager.service, use only prefdm.service
- automatic systemd release on rpm installs/removals (from mageia)
- ghost own a lot of config files

* Thu Jan 26 2012 Antoine Ginies <aginies@mandriva.com> 39-1
+ Revision: 769109
- add missing new files
- version 39

* Sat Jan 14 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 38-2
+ Revision: 760839
- drop patch 30, this was really bad idea

* Sat Jan 14 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 38-1
+ Revision: 760827
- provides subpackages for libjournal and libid128
- add buildrequires on pkgconfig(gee-1.0)
- disable patches 26 and 28
- Patch30: fix prefdm.service
- set rootlibdir to /%%{_lib}
- add requires on python-cairo and python-dbus on tools subpackage
- create runlevel targets
- own properly target.wants files
- renable bash completion file
- enable rsyslog.service and remote-fs.service on glibc update
- make use of %%{_sysconfdir}/hostname
- fix file list
- update to new version 38

* Sun Jan 08 2012 Matthew Dawkins <mattydaw@mandriva.org> 37-5
+ Revision: 758669
- converted BRs to pkgconfig provides
- removed branded requires

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - Patch28: fix bash completion
    - Patch29: do not unset locales in gettys

* Thu Dec 01 2011 Matthew Dawkins <mattydaw@mandriva.org> 37-4
+ Revision: 737117
- rebuild
- properly obsolete and provide readahead
- removed mkrel, BuildRoot, clean section and defattr

* Tue Nov 15 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 37-3
+ Revision: 730759
- add pre requires on basesystem-minimal >= 2011.0-2

* Fri Nov 04 2011 Oden Eriksson <oeriksson@mandriva.com> 37-2
+ Revision: 717560
- added systemd-sysv-convert from fedora in the systemd-sysv sub package

* Wed Oct 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 37-1
+ Revision: 704438
- update file list
- fix mix of tabs and spaces in spec file
- update to new version 37
- add initial macro file for rpm macros
  o new macro %%_unitdir points to /lib/systemd/system

* Tue Oct 11 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 36-3
+ Revision: 704403
- enable systemd's own mounting capability

* Fri Oct 07 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 36-2
+ Revision: 703410
- use %%serverbuild_hardened flags for mdv2012

* Wed Oct 05 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 36-1
+ Revision: 703006
- update to new version 36
- export %%serverbuild flags

* Wed Sep 28 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 35-6
+ Revision: 701814
- finally move systemd-analyze to tool subpackage

* Wed Sep 28 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 35-5
+ Revision: 701793
- move systemd-analyze to new tools subpackage to prevent of pulling in python as a dependancy
- move systemd.pc to devel package

* Fri Sep 23 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 35-4
+ Revision: 701122
- require nss-myhostname

* Thu Sep 22 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 35-3
+ Revision: 700952
- disable SPEEDBOOT feature on systemd install or on update
- silent the post scipts output
- restart systemd daemon on post
- pre require initscripts
- conflict with readahead

* Sat Sep 10 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 35-2
+ Revision: 699188
- add post requires on gawk and coreutils
- require polkit
- enable rsyslog on post install

* Sun Sep 04 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 35-1
+ Revision: 698252
- update to new version 35
- drop 3 patches from upstream git
- create /etc/modules-load.d/modprobe-preload.conf as a symlink to /etc/modprobe.preload
- fix file list

* Fri Sep 02 2011 Александр Казанцев <kazancas@mandriva.org> 33-4
+ Revision: 697838
- add rc-local service start filed fix patch

* Fri Sep 02 2011 Alexander Barakin <abarakin@mandriva.org> 33-3
+ Revision: 697823
- work with /sbin/halt.pre (see #63716)

* Sat Aug 20 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 33-2
+ Revision: 695878
- rebuild for missing packages

* Fri Aug 19 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 33-1
+ Revision: 695827
- update to new version 33
- add three patches from upstream
- add gperf as a buildrequire
- backport burmashev changes from 2011 (added /etc/hostnamed, created symlink for /etc/modules)

* Thu Jul 28 2011 Eugeni Dodonov <eugeni@mandriva.com> 31-1
+ Revision: 692133
- Updated to systemd 31.
  Provide libification for systemd-daemon and systemd-login.

* Mon Jul 18 2011 Alex Burmashev <burmashev@mandriva.org> 29-4
+ Revision: 690399
- added tmpfilesd patch

* Tue Jul 12 2011 Eugeni Dodonov <eugeni@mandriva.com> 29-3
+ Revision: 689763
- Rebuild for getting through the BS

* Tue Jul 12 2011 Eugeni Dodonov <eugeni@mandriva.com> 29-2
+ Revision: 689615
- Bump release
- Fix non-startable ttys (#63600)

* Mon Jun 20 2011 Eugeni Dodonov <eugeni@mandriva.com> 29-1
+ Revision: 686088
- New version 29

* Wed Jun 01 2011 Wiliam Alves de Souza <wiliam@mandriva.com> 28-1
+ Revision: 682241
- Update to 28.

* Wed May 25 2011 Eugeni Dodonov <eugeni@mandriva.com> 27-1
+ Revision: 679062
- Update to 27.

* Fri Apr 08 2011 Eugeni Dodonov <eugeni@mandriva.com> 24-2
+ Revision: 651929
- Provide /run/ directory.

* Thu Apr 07 2011 Eugeni Dodonov <eugeni@mandriva.com> 24-1
+ Revision: 651785
- New version 24.

* Thu Apr 07 2011 Funda Wang <fwang@mandriva.org> 20-3
+ Revision: 651442
- rebuild for new libnotify

* Sun Mar 13 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 20-2
+ Revision: 644344
- drop Requires: systemd from systemd-units

* Fri Mar 11 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 20-1
+ Revision: 643763
- new version
- drop P5,6,7,13,15 - Mandriva support is upstream now
- implicitly build for distro=mandriva now
- drop P20 - upstream
- P22: fix D-Bus assertion due to missing dbus_error_init (GIT)
- run systemd-machine-id-setup on update
  (cf. http://lists.freedesktop.org/archives/dbus/2011-March/014187.html)

* Thu Mar 10 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 19-4
+ Revision: 643254
- P21: do not add dependency between quotacheck and network file system;
  it creates a loop and systemd removes vital services to break it (mdv#62746)
- P14: clarify unit description
- P14: resurrect and actually enable hwclock-load.service;
  it was skipped unintentionally
- enable rpcbind.target by default

* Thu Mar 03 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 19-3
+ Revision: 641448
- P20: replace with real fix from upstream (we skipped all files on
  reiserfs because it returns DT_UNKNOWN for every file) (GIT)

* Wed Mar 02 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 19-2
+ Revision: 641235
- P20: add unit to mark system boot in wtmp

* Tue Mar 01 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 19-1
+ Revision: 641120
- new version
- P18: allow explicit SysV scripts output configuration (not yet enabled)
- P19: fix timeout never applied to oneshot services
- enable native quota and readahead units

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 18-5
+ Revision: 640283
- rebuild to obsolete old packages

* Sat Feb 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 18-4
+ Revision: 638708
- make single.service alias for rescue.service to hide initscript version

* Sat Feb 19 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 18-3
+ Revision: 638684
- enable most default units now when initscripts do not do it anymore
- P15: prefdm service was dropped from upstream initscripts, do it here
- P16: empty (not just create) X11 directories on boot as done by
  rc.sysinit
- P17: reset /etc/mtab after / is remounted. We really need to make it
  symlink
- own /lib/systemd/system-{generators,shutdown}/

* Thu Feb 17 2011 Eugeni Dodonov <eugeni@mandriva.com> 18-1
+ Revision: 638086
- Update to v18.
  Drop P15 (upstream)

* Fri Feb 11 2011 Eugeni Dodonov <eugeni@mandriva.com> 17-5
+ Revision: 637316
- Drop P14, no longer needed.

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - drop P4 - we have real dbus unit now
    - P15: allow user tasks to enter real time with RT cgroups (GIT)
    - BR stuff to re-build man pages again for P15 ...

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - use consistent naming and permissions for completion scriplets

* Sun Jan 30 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 17-4
+ Revision: 634092
- own systemwide bluetooth.target.wants directory

* Sun Jan 30 2011 Eugeni Dodonov <eugeni@mandriva.com> 17-3
+ Revision: 634020
- Patch14: do not mess with system time

* Thu Jan 27 2011 Eugeni Dodonov <eugeni@mandriva.com> 17-2
+ Revision: 633186
- Rebuild to provide systemd-sysvinit matching sysvinit.

* Sun Jan 23 2011 Andrey Borzenkov <arvidjaar@mandriva.org> 17-1
+ Revision: 632439
- new release
- drop P12 - upstream. It was already disabled

* Tue Jan 18 2011 Eugeni Dodonov <eugeni@mandriva.com> 16-2
+ Revision: 631507
- Rely on EVRD for version dependencies.

* Mon Jan 17 2011 Wiliam Alves de Souza <wiliam@mandriva.com> 16-1
+ Revision: 631315
- updated tar.bz2 to version 16
- updated to version 16

* Tue Dec 28 2010 Eugeni Dodonov <eugeni@mandriva.com> 15-4mdv2011.0
+ Revision: 625680
- Allow systemd to be installed instead of sysvinit.

* Fri Dec 03 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 15-3mdv2011.0
+ Revision: 606522
- use native shutdown services

* Fri Dec 03 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 15-2mdv2011.0
+ Revision: 605806
- P13: use /etc/mandriva-release for welcome message
- correctly disable systemd-random-seed-load.service for now
- restore systemd-update-utmp-runlevel.service

* Wed Dec 01 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 15-1mdv2011.0
+ Revision: 604583
- update to v15
- drop P2, P8: units provided by initscripts now
- rediff P4, P5
- drop P9, P10, P11: upstream
- P12: support build with libnotify < 0.7 (GIT); BR automake/autoconf
- /etc/init.d/reboot provided by initscripts now
- session* became user* now
- systemd-ask-password-agent => systemd-gnome-ask-password-agent
- for now remove most of native services from default activation
- drop docbook/xslt BR
- require recent enough initscripts

* Tue Nov 30 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-7mdv2011.0
+ Revision: 603786
- for now remove services installed or provided by initscripts package

* Sun Nov 28 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-6mdv2011.0
+ Revision: 602332
- require initscripts >= 9.21
- drop P0, use /sys/fs/cgroup (needs kernel 2.6.36)
- drop P3, S1; use /etc/init.d/halt from initscripts now
- patch1: drop, not needed with new docbook-style-xsl

* Sat Nov 06 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-5mdv2011.0
+ Revision: 593996
- patch6: do not disable reading of /etc/locale.conf

* Tue Nov 02 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-4mdv2011.0
+ Revision: 592331
- patch11: fix device ACLs after systemd installation
- patch10: fix startup with IPv6 disabled

* Mon Oct 25 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-3mdv2011.0
+ Revision: 589354
- yet another attempt to get update scripts right
- patch9: fix systemctl enable getty@.service (upstream)

* Sat Oct 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-2mdv2011.0
+ Revision: 586020
- patch8: fix entering single user mode, revert to /bin/sh

* Sat Oct 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 11-1mdv2011.0
+ Revision: 585969
- source1: remove some actions now performed by systemd units
- disable MountAuto and SwapAuto (Fedora)
- re-exec daemon on glibc and self update
- disable more services from rc.sysinit
- patch7: break loop between network.target and network-up.sevice
- for now disable services performed by initscripts
- getty.target is now enabled by default
- patch6: Mandriva support in locale setup
- patch5: Mandriva support in keyboard setup
- move /etc/systemd/system.conf, /bin/systemctl in main package; they are
  usable without units. Remove duplicated LICENSE inclusion.
- new version

* Sat Sep 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-7mdv2011.0
+ Revision: 579679
- patch4: use messagebus for special D-Bus service for now
- source1, patch3: local version of halt script that does not unmount cgroup
- do not enable prefdm.service, we start display manager in initscirpt
- fix syslog-service
- /etc/systemd and /lib/systemd should be owned by main package

* Sat Sep 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-6mdv2011.0
+ Revision: 579486
- fix postinstallation script to create default links

* Thu Sep 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-5mdv2011.0
+ Revision: 579036
- patch2: fix shutdown/reboot with legacy /sbin/halt

* Wed Sep 15 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-4mdv2011.0
+ Revision: 578750
- do not delete *.wanted files; getty does not start without them
- set distro to fedora for now; too much is missing with 'other'

* Wed Sep 15 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-3mdv2011.0
+ Revision: 578704
- it's _initrddir, not _initdir

* Wed Sep 15 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 10-2mdv2011.0
+ Revision: 578688
- patch1: fix man pages rebuild after patch0
- patch0: use /cgroup until /sys/fs/cgroup is supported by kernel
- runlevelN.target are in /lib now
- remove Requires: libudev, it is computed automatically

* Wed Sep 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 10-1mdv2011.0
+ Revision: 578379
- prepare to release as dbus was updated to 1.4.0 version
- fix file list
- import systemd

  + Andrey Borzenkov <arvidjaar@mandriva.org>
    - new version

